<?php if (!defined('PmWiki')) exit();
/*  Copyright 2009 Ed Wildgoose - http://www.mailasail.com
    This file is skin.php; part of the YAML skin series for pmwiki 2
    you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published
    by the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    This skin uses YAML (http://www.yaml.de)
    Unless you purchase a licence you MUST keep a footer link (or similar)
    back to the YAML site
*/
global $FmtPV, $SkinName, $SkinVersionDate, $SkinVersionNum, $SkinVersion, $SkinRecipeName, 
       $SkinSourceURL, $RecipeInfo;
# Some Skin-specific values
$RecipeInfo['YAML']['Version'] = '2009-05-17';
$SkinName = 'yaml';
$SkinRecipeName = "YamlSkin";

# for use in conditional markup  (:if enabled YamlSkin:)
global $YamlSkin; $YamlSkin = 1; 

## defining page variables
$SkinVersionDate = $RecipeInfo['TriadSkin']['Version'];
$SkinVersionNum = str_replace("-","",$SkinVersionDate);
$SkinVersion = $SkinName." ".$SkinVersionDate;
$SkinSourceUrl = 'http://www.pmwiki.org/wiki/Cookbook/'.$SkinRecipeName;
$SkinColor = $sc;
# setting variables as page variables
$FmtPV['$SkinName'] = '$GLOBALS["SkinName"]';
$FmtPV['$SkinVersionDate'] = '$GLOBALS["SkinVersionDate"]';
$FmtPV['$SkinVersionNum'] = '$GLOBALS["SkinVersionNum"]';
$FmtPV['$SkinVersion'] = '$GLOBALS["SkinVersion"]';
$FmtPV['$SkinRecipeName'] = '$GLOBALS["SkinRecipeName"]';
$FmtPV['$SkinSourceUrl'] = 'PUE($GLOBALS["SkinSourceUrl"])';
$FmtPV['$SkinDirUrl'] = 'PUE($GLOBALS["SkinDirUrl"])';
$FmtPV['$SkinColor'] = 'PUE($GLOBALS["SkinColor"])';



global $BodyAttr;
SDV($BodyAttr, '');

# Enables default rightbar, set to 0 if no right column is needed sitewide
SDV($EnableRightBar, 1);

# enable markup (:showright:), which can show RightBar for individual pages, 
# if showing of RightBar is sitewide disabled with switch $EnableRightBar = 0; above.
SDV($EnableMarkupShowRight, 1);

# Do not show empty right bar column. Only show RightBar column if RightBar exists. 
# Set to 1 to show empty column when there is no RightBar page. 
SDV($EnableEmptyRightBar, 0);


## set var $RBExists if RightBar exists
$RBExists = 0; //init
if ($EnableRightBar==1 || $EnableMarkupShowRight==1) {
  $RightBarPage = "Right-Bar";
  $pageRB = FmtPageName('$FullName-'.$RightBarPage,$pagename);
  if (PageExists($pageRB))  $RBExists = 1;
  $clusterRB = FmtPageName('{$RightBar}',$pagename); //used with Cluster or Hg 
  if (PageExists($clusterRB)) $RBExists = 1;
  $groupRB = FmtPageName('$Group.'.$RightBarPage,$pagename);
  if (PageExists($groupRB))  $RBExists = 1;
  $siteRB = FmtPageName('$SiteGroup.'.$RightBarPage,$pagename);
  if (PageExists($siteRB))  $RBExists = 1;
}

# empty right column logic 
if ($EnableEmptyRightBar==0 && $RBExists==0) SetTmplDisplay('PageRightFmt',0); 
if ($EnableEmptyRightBar==1 && $EnableRightBar==1) SetTmplDisplay('PageRightFmt',1); 

# disable rightbar logic
if (!$EnableRightBar==1) SetTmplDisplay('PageRightFmt',0);

# Markup (:showright:) 
if ($EnableMarkupShowRight==1) {
    Markup('showright','directives','/\\(:showright:\\)/',  
        "mu_showright"); 
};

function mu_showright() { SetTmplDisplay('PageRightFmt',1); }

# Markup (:nocontentfooter:) 
Markup('nocontentfooter','directives','/\\(:nocontentfooter:\\)/', 
    "mu_nocontentfooter");
function mu_nocontentfooter() { SetTmplDisplay('ContentFooterFmt', 0); }

# Markup (:fullpage:)
function FullPage() {
     SetTmplDisplay('PageHeaderFmt', 0);         
     SetTmplDisplay('PageTopMenuFmt',0);
     SetTmplDisplay('PageLeftFmt',0);
     SetTmplDisplay('PageRightFmt',0);  
     SetTmplDisplay('PageContentFooterFmt', 0);
     SetTmplDisplay('PageFooterFmt', 0);    
     return '';
}
Markup('fullpage','directives','/\\(:fullpage:\\)/',
  "FullPage");

## Hide Cols
function body_attr() {
  global $TmplDisplay;

  $body_class='';
  if (isset($TmplDisplay['PageLeftFmt']) && $TmplDisplay['PageLeftFmt'] == 0) { $body_class .= "hidecol1 "; }
  if (isset($TmplDisplay['PageRightFmt']) && $TmplDisplay['PageRightFmt'] == 0) { $body_class .= "hidecol2"; }
  $body_class = trim($body_class);
  
  $body_attr = "";
  if ($body_class != "") {
    $body_attr = "class=\"$body_class\"";
  }
  
  print $body_attr;
  return $body_attr;
}

?>
